# Uses of Class
org.jboss.classfilewriter.annotations.AnnotationValue

Packages that use AnnotationValue
Package
Description
org.jboss.classfilewriter.annotations

## Uses of AnnotationValue in org.jboss.classfilewriter.annotations

Subclasses of AnnotationValue in org.jboss.classfilewriter.annotations
Modifier and Type
Class
Description
`class`
`AnnotationAnnotationValue`
Represents a nestled annotation value
`class`
`ArrayAnnotationValue`
An array annotation value
`class`
`BooleanAnnotationValue`
A boolean annotation value
`class`
`ByteAnnotationValue`
a byte annotation value
`class`
`CharAnnotationValue`
A char annotation value
`class`
`ClassAnnotationValue`
A class annotation value
`class`
`DoubleAnnotationValue`
a double annotation value
`class`
`EnumAnnotationValue`
An enum annotation value
`class`
`FloatAnnotationValue`
A float annotation value
`class`
`IntAnnotationValue`
An int annotation value
`class`
`LongAnnotationValue`
A long annotation value
`class`
`ShortAnnotationValue`
short annotation value
`class`
`StringAnnotationValue`
A string annotation value
Methods in org.jboss.classfilewriter.annotations that return AnnotationValue
Modifier and Type
Method
Description
`static AnnotationValue`
AnnotationBuilder.`createValue(ConstPool constPool, String name, Object value)`
Methods in org.jboss.classfilewriter.annotations that return types with arguments of type AnnotationValue
Modifier and Type
Method
Description
`List<AnnotationValue>`
ClassAnnotation.`getAnnotationValues()`
Constructor parameters in org.jboss.classfilewriter.annotations with type arguments of type AnnotationValue
Modifier
Constructor
Description
``
`ArrayAnnotationValue(ConstPool constPool, String name, List<AnnotationValue> value)`
``
`ClassAnnotation(ConstPool constPool, String type, List<AnnotationValue> annotationValues)`